// Exercise 9.8 solution: Quadrilateral.java
// Class Quadrilateral definition

public class Quadrilateral 
{
   private Point point1; // first endpoint
   private Point point2; // second endpoint
   private Point point3; // third endpoint
   private Point point4; // fourth endpoint

   // eight-argument constructor
   public Quadrilateral( Point first, Point second, Point third, Point fourth )
   {
      point1 = first;
      point2 = second;
      point3 = third;
      point4 = fourth;
   } // end eight-argument Quadrilateral constructor

   // return point1
   public Point getPoint1()
   {
      return point1;
   } // end method getPoint1

   // return point2
   public Point getPoint2()
   {
      return point2;
   } // end method getPoint2

   // return point3
   public Point getPoint3()
   {
      return point3;
   } // end method getPoint3

   // return point4
   public Point getPoint4()
   {
      return point4;
   } // end method getPoint4

   // return string representation of a Quadrilateral object
   public String toString()
   {
      return String.format( "%s:\n%s", 
         "Coordinates of Quadrilateral are", getCoordinatesAsString() ); 
   } // end method toString

   // return string containing coordinates as strings
   public String getCoordinatesAsString()
   {
      return String.format(  
         "%s, %s, %s, %s\n", point1, point2, point3, point4 );
   } // end method getCoordinatesAsString
} // end class Quadrilateral

/**************************************************************************
 * (C) Copyright 1992-2008 by Deitel & Associates, Inc. and               *
 * Pearson Education, Inc. All Rights Reserved.                           *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/