// Exercise 9.8 solution: Rectangle.java
// Class Rectangle definition

public class Rectangle extends Parallelogram 
{
   // eight-argument constructor
   public Rectangle( Point first, Point second, Point third, Point fourth )
   {
      super( first, second, third, fourth );
   } // end eight-argument Rectangle constructor

   // return string representation of Rectangle object
   public String toString()
   {
      return String.format( "\n%s:\n%s%s: %s\n%s: %s\n%s: %s\n", 
         "Coordinates of Rectangle are", getCoordinatesAsString(),
         "Width is", getWidth(), "Height is", getHeight(), 
         "Area is", getArea() );
   } // end method toString
} // end class Rectangle

/**************************************************************************
 * (C) Copyright 1992-2008 by Deitel & Associates, Inc. and               *
 * Pearson Education, Inc. All Rights Reserved.                           *
 *                                                                        *
 * DISCLAIMER: The authors and publisher of this book have used their     *
 * best efforts in preparing the book. These efforts include the          *
 * development, research, and testing of the theories and programs        *
 * to determine their effectiveness. The authors and publisher make       *
 * no warranty of any kind, expressed or implied, with regard to these    *
 * programs or to the documentation contained in these books. The authors *
 * and publisher shall not be liable in any event for incidental or       *
 * consequential damages in connection with, or arising out of, the       *
 * furnishing, performance, or use of these programs.                     *
 *************************************************************************/